apiVersion: policy/v1beta1
kind: PodSecurityPolicy
metadata:
  name: restricted-{{ namespace }}-{{ lool_name }}
spec:
  allowPrivilegeEscalation: true
  allowedCapabilities:
  - FOWNER
  - MKNOD
  - SYS_ADMIN
  - SYS_CHROOT
  forbiddenSysctls:
  - '*'
  fsGroup:
    ranges:
    - max: 65535
      min: 1
    rule: MustRunAs
  requiredDropCapabilities:
  - KILL
  - SETUID
  - SETGID
  runAsUser:
    rule: MustRunAsNonRoot
  seLinux:
    rule: MustRunAs
  supplementalGroups:
    ranges:
    - max: 65535
      min: 1
    rule: MustRunAs
  volumes:
  - configMap
  - downwardAPI
  - emptyDir
  - persistentVolumeClaim
  - projected
  - secret
